Share via


Containers - Execute Command

Executes a command in a specific container instance.
Executes a command for a specific container instance in a specified resource group and container group.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerInstance/containerGroups/{containerGroupName}/containers/{containerName}/exec?api-version=2025-09-01

URI Parameters

Name In Required Type Description
containerGroupName
path True

string

The name of the container group.

containerName
path True

string

The name of the container instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
command

string

The command to be executed.

terminalSize

ContainerExecRequestTerminalSize

The size of the terminal.

Responses

Name Type Description
200 OK

ContainerExecResponse

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ContainerExec

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/demo/providers/Microsoft.ContainerInstance/containerGroups/demo1/containers/container1/exec?api-version=2025-09-01

{
  "command": "/bin/bash",
  "terminalSize": {
    "cols": 12,
    "rows": 12
  }
}

Sample response

{
  "password": "password",
  "webSocketUri": "wss://web-socket-uri"
}

Definitions

Name Description
CloudError

An error response from the Container Instance service.

CloudErrorBody

An error response from the Container Instance service.

ContainerExecRequest

The container exec request.

ContainerExecRequestTerminalSize

The size of the terminal.

ContainerExecResponse

The information for the container exec command.

CloudError

An error response from the Container Instance service.

Name Type Description
error

CloudErrorBody

An error response from the Container Instance service.

CloudErrorBody

An error response from the Container Instance service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ContainerExecRequest

The container exec request.

Name Type Description
command

string

The command to be executed.

terminalSize

ContainerExecRequestTerminalSize

The size of the terminal.

ContainerExecRequestTerminalSize

The size of the terminal.

Name Type Description
cols

integer (int32)

The column size of the terminal

rows

integer (int32)

The row size of the terminal

ContainerExecResponse

The information for the container exec command.

Name Type Description
password

string (password)

The password to start the exec command.

webSocketUri

string

The uri for the exec websocket.